Bug 210365 - audio/wildmidi: Update to version 0.4.0
Summary: audio/wildmidi: Update to version 0.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-18 00:33 UTC by SimaMoto,RyōTa
Modified: 2016-06-25 19:56 UTC (History)
1 user (show)

See Also:


Attachments
Switch version from 0.3.9 to 0.4.0 (3.31 KB, patch)
2016-06-18 00:33 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Create audio/wildmidi03 for v0.3.9 and update audio/wildmidi to 0.4.0 (11.78 KB, patch)
2016-06-19 15:11 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff
Create audio/wildmidi04 for the version 0.4.0 (8.92 KB, patch)
2016-06-19 15:18 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2016-06-18 00:33:54 UTC
Created attachment 171527 [details]
Switch version from 0.3.9 to 0.4.0

The latest version 0.4.0 has been released.  This minor upgrade
includes API changes and more supports for MIDI-like formats.
For more information, see the release notes:
https://github.com/Mindwerks/wildmidi/releases/tag/wildmidi-0.4.0

On ported build,
    * Use the general macro for openal, and dual options are united.
    * Set enable STATIC option when PLAYERSTATIC option is set, since
      the player bin/wildmidi-static needs generating lib/libWildMidi.a,
      but it does not happen when WANT_STATIC flag is not activated.
Comment 1 SimaMoto,RyōTa 2016-06-18 11:47:17 UTC
I'm sorry but I want resign this report, since multimedia/qmmp
and multimedia/qmmp-qt5 will fail on their build with type errors
with the revised API of 0.4.0.
Comment 2 SimaMoto,RyōTa 2016-06-19 15:11:49 UTC
Created attachment 171574 [details]
Create audio/wildmidi03 for v0.3.9 and update audio/wildmidi to 0.4.0

This is an expantion of attachment 171527 [details] (https://bugs.freebsd.org/bugzilla/attachment.cgi?id=171527).
The attachement switches version from 0.3.9 to 0.4.0 on audio/wildmidi, 
creates a new port for the version 0.3.9 as audio/wildmidi03, then
modifies other ports that may depend on audio/wildmidi03.
Comment 3 SimaMoto,RyōTa 2016-06-19 15:18:27 UTC
Created attachment 171575 [details]
Create audio/wildmidi04 for the version 0.4.0

On the contrary of the patch 171574 (https://bugs.freebsd.org/bugzilla/attachment.cgi?id=171574),
this attachment creates a new port for the version 0.4.0 as audio/wildmidi04,
and keeps the version for audio/wildmidi in 0.3.9.
Comment 4 SimaMoto,RyōTa 2016-06-19 15:26:36 UTC
Which plan do you prefer?  I will obey on your choice.  Or is it
necessary to hurry on introducing the latest version that other
products may not use yet?  I can't guess.
Comment 5 Olivier Duchateau freebsd_committer 2016-06-19 16:42:22 UTC
You're maintainer, it's your choice :)
Usually we update current port and create new port (in fact a copy with new name) in order to keep the port in current state (like bug #210365, comment #2).
Comment 6 Olivier Duchateau freebsd_committer 2016-06-21 16:57:16 UTC
I checked audio/musicpd and I have patch for audio/wildmidi 0.4.0 (it builds fine).

I try with multimedia/qmmp, in order to see error log (my poudriere currently rebuilds devel/llvm27, it takes around 5 hour).
Comment 7 SimaMoto,RyōTa 2016-06-23 01:25:18 UTC
(In reply to Olivier Duchateau from comment #6)

As you know, QMMP went up on a next step of minor versions at 0.10 and 1.1,
especially along with dual support on the wildmidi-0.4.0 and wildmidi-0.3.9.

My local ports for discussion are almost ready for filing reports to updating
QMMP ports at https://github.com/liangtai/FreeBSD-ports/, you can see them at
'cmake' and 'qt5/cmake' branches of the repository.  Today I'm sure they are
built successfully on actual working area, but did not test them in poudriere's
clean jail yet.

How about to postpone updating audio/wildmidi until we commit QMMP's updates?
We can reduce test of the current versions of QMMP with separated ports of
wildmidi on this report.
Comment 8 Olivier Duchateau freebsd_committer 2016-06-23 20:44:01 UTC
(In reply to SimaMoto,RyōTa from comment #7)

Update audio/wildmidi can be delayed until upgrade of Qmmp.

If you want to use wildmidi 0.3.9 for Qmmp, we can create both ports (audio/wildmidi and audio/wildmidi03). Or if you want only use wildmidi 0.4.x, I have patch for Musicpd, so I think it's not problem.

You are the maintainer, so it's you who decides.
Comment 9 commit-hook freebsd_committer 2016-06-25 19:15:00 UTC
A commit references this bug:

Author: olivierd
Date: Sat Jun 25 19:14:15 UTC 2016
New revision: 417478
URL: https://svnweb.freebsd.org/changeset/ports/417478

Log:
  Update to 0.4.0

  Changes: https://github.com/Mindwerks/wildmidi/releases/tag/wildmidi-0.4.0

  PR:		210365
  Submitted by:	SimaMoto,RyoTa <liangtai.s16@gmail.com> (maintainer)

Changes:
  head/audio/wildmidi/Makefile
  head/audio/wildmidi/distinfo
  head/audio/wildmidi/pkg-plist
Comment 10 Olivier Duchateau freebsd_committer 2016-06-25 19:56:26 UTC
Committed, thanks!